Đến nội dung


Hình ảnh
* - - - - 2 Bình chọn

(Yêu cầu) xin lisp copy, move đối tượng rồi xoay


  • Please log in to reply
27 replies to this topic

#21 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 June 2013 - 09:27 AM

Chiron thấy lệnh mocoro của express tool sử dụng tâm xoay là điểm base point khi move / copy nên nghĩ yêu cầu của sang29 đơn giản hơn trường hợp các bác đã viết.

Không có dòng nhắc là sao bác? Đây là lệnh của CAD mà? Hơn nữa, không thấy chủ topic phản hồi gì nên không viết tiếp cho lệnh copy; sau đó ở bài #9 sang29 bảo đã ok rồi và không thấy xuất hiện nữa nên không lăn tăn gì thêm. ^ ^

 

À, do là máy đang đặt biến "cmdecho" = 0 nên Lisp bạn viết chỉ có mỗi dòng select object mà thôi. :lol:

Nên set  biến "cmdecho" = 1 khi chạy Lisp để thấy được dòng nhắc của CAD


  • 0

#22 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 June 2013 - 09:31 AM

Hề hề hề... (ăn cắp bản quyền  bác Bình tí) :D

Cái sự học của mình nó chỉ mới bắt đầu, có thể nói đối với các bác thì chỉ như cái phôi thai - mới chỉ biết ngọ nguậy !

Tò mò đc cái gì dùng được là mừng hết lớn luôn...

Cơ mà cái lisp của mình nó chỉ không thể copy liên tục chứ nó vẫn cho "hình ảnh động" đó chứ :D

Cảm ơn vì đã góp ý & rất mong nhận được sự "khai ngộ" từ các bác để mình ngày một hoàn thiện hơn !!!

 

Hình ảnh động chỉ xuất hiện khi "RO" thôi, còn khi "COPY" không có "ảnh động"


  • 1

#23 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 19 June 2013 - 10:19 AM

Đã hiểu, nh­ưng với mình bây giờ thì vẫn chưa làm được !


  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#24 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 June 2013 - 10:31 AM

Cảm ơn vì đã góp ý & rất mong nhận được sự "khai ngộ" từ các bác để mình ngày một hoàn thiện hơn !!!

.............

Đã hiểu, nh­ưng với mình bây giờ thì vẫn chưa làm được !

 

Bạn xem đoạn code mình sửa lại cho bạn, mình đã ghi chú kèm theo trong code.

Bạn đọc và ngộ ra nhé!

(defun c:cr( / oldcm doituong goc dmoi)
(setq oldcm (getvar "cmdecho"))
(setvar "cmdecho" 0)
(prompt "\nChon doi tuong muon copy")
(setq doituong (ssget))
(setq dgoc (getpoint "\nChon diem goc:"))
 
(prompt "\nChon diem den moi:");; dong nhac chon diem den moi
(command ".mocoro" doituong "" dgoc "c" pause); tam dung tra lai quyen dieu khien cho CAD de ban thay anh dong khi COPY va ban chon diem den moi
(prompt "\nChon goc quay :"); dong nhac chon goc quay
(Command  "" "r" pause ""); tiep tuc lenh mocoro con dang do, tam dung tra lai quyen dieu khien cho CAD de ban thay anh dong khi ROTATE
(setvar "cmdecho" oldcm)
(princ)
)
(defun c:cr( / oldcm doituong goc dmoi)
(setq oldcm (getvar "cmdecho"))
(setvar "cmdecho" 0)
(prompt "\nChon doi tuong muon copy")
(setq doituong (ssget))
(setq dgoc (getpoint "\nChon diem goc:"))
 
(prompt "\nChon diem den moi:");; dong nhac chon diem den moi
(command ".mocoro" doituong "" dgoc "c" pause); tam dung tra lai quyen dieu khien cho CAD de ban thay anh dong va ban chon diem den moi
(prompt "\nChon goc quay :")
(Command  "" "r" pause ""); tiep tuc lenh mocoro con dang do
(setvar "cmdecho" oldcm)
(princ)
)

  • 3

#25 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 19 June 2013 - 01:25 PM

Em vừa thử lisp của bác Tuệ, theo em thì lệnh MOCORO...SO vẫn là món ăn cổ truyền NGON BỔ $ RẺ hơn BR! :) :) :)


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#26 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 June 2013 - 01:44 PM

Em vừa thử lisp của bác Tuệ, theo em thì lệnh MOCORO...SO vẫn là món ăn cổ truyền NGON BỔ $ RẺ hơn BR! :) :) :)

 

Cũng tuỳ thôi em, như bạn hiepttr cũng đã nói, tuỳ vào công việc lặp đi lặp lại nhiều lần hay không mà sử dụng thôi, với MOCORO thì mất thời gian phải nhập C hay R. Nếu việc cứ lặp đi lặp lại nhiều thì CR sẽ nhanh hơn


  • 1

#27 HUNGENG

HUNGENG

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 July 2013 - 03:32 PM

Chào các bạn. Tôi kiếm được cái Lisp này. Nó cũng hay nhưng tôi muốn thêm chức năng mà không biết về lập trình. Bạn nào giúp tôi với. Cụ thể như sau:

1. Tôi muốn chon thêm đối tượng như: ellipse, spline, Mtext, hatch...càng chon nhiều đối tượng càng tôt.

2. Trong phần chon theo màu hoặc layer . Bạn có thể cho thêm chức năng Enter thì sẽ liệt kê màu tương ứng số mấy, và liệt kê danh sách các layer để chọn

3. Thêm các lựa chọn hiệu chỉnh: Mirror,...

 

Thanks các bạn nhiều.http://www.cadviet.c..._editfilter.lsp


  • 0

#28 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 September 2013 - 04:24 PM

Chào các bạn. Tôi kiếm được cái Lisp này. Nó cũng hay nhưng tôi muốn thêm chức năng mà không biết về lập trình. Bạn nào giúp tôi với. Cụ thể như sau:

1. Tôi muốn chon thêm đối tượng như: ellipse, spline, Mtext, hatch...càng chon nhiều đối tượng càng tôt.

2. Trong phần chon theo màu hoặc layer . Bạn có thể cho thêm chức năng Enter thì sẽ liệt kê màu tương ứng số mấy, và liệt kê danh sách các layer để chọn

3. Thêm các lựa chọn hiệu chỉnh: Mirror,...

 

Thanks các bạn nhiều.http://www.cadviet.c..._editfilter.lsp

Hề hề hề,

1/- Muốn cái chi thì thêm cái nớ vào trong các dòng code:

 (initget 1 "Arc Circle Line Polyline Text")

 (setq res (getkword "\nEdit<Arc/Circle/Line/Pline/Text>"))

và nhớ theo đúng mẫu người ta đã làm.

2/- Muốn làm thì phải có thêm các hộp thoại bạn mới có thể lựa chọn trên đó. Điều này cần có thời gian chứ không phải mì ăn liền.

3/- Như 1.

tất nhiên muốn thêm lệnh nào thì phải hiểu về cấu trúc và cách sử dụng của nó để mà thực hiện các bước tiếp theo của lệnh.

 

Hề hề hề,

Và đây là cái có lẽ bạn không cần nữa rồi. Tuy nhiên đã mất công ngịch ngợm thì mình cứ post lên cho .... vui. Và nếu ai đó muốn có thể tham khảo.

Lưu ý các file dcl sau khi tải về phải được xả vào trong một thư mục có trong đường dẫn tìm kiếm của CAD.

Bảng chọn màu mới chỉ có 7 màu cơ bản của CAd và nếu muốn mọi người có thể tự thêm nó vào trong danh sách mycol. Thực ra cũng có thể tạo một list lấy tấc cả các màu có trong các layer trên bản vẽ để nhét vào list này, cách làm tương tự như việc lấy danh sách các layer nhưng mình chả muốn làm nên để chơi vậy. Tất nhiên nếu làm như vậy thì trong lisp cũng phải sửa đổi chút chút và cũng chỉ dành cho những ai có đủ thấu hiểu về lisp như và hơn mình.

Ngoài ra cũng có thể lấy tòan bộ danh sách các màu có trên bản vẽ cũng được nhưng khá mất công.

Một lưu ý nữa là khi chọn layer thì cho phép người dùng có thể chọn nhiều layer bằng cách sử dụng lựa chọn cùng phím Ctrl. Còn khi lựa chọn màu thì chỉ cho phép chọn một màu duy nhất mà thôi.

Mọi người nếu muốn đều có thể chỉnh sửa lisp này theo ý muốn để thuận tiện cho việc sử dụng của mỗi cá nhân.

http://www.cadviet.c..._editfilter.lsp

http://www.cadviet.c...5194_getlay.rar

http://www.cadviet.c...94_getcolor.rar


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.